package com.example.unodtantos.appqueology2.controlador;

import android.database.Cursor;
import android.os.Bundle;
import android.support.v7.app.ActionBar;
import android.support.v7.app.ActionBarActivity;
import android.text.Spannable;
import android.text.SpannableString;
import android.widget.ListView;

import com.example.unodtantos.appqueology2.R;
import com.example.unodtantos.appqueology2.modelo.Proyecto;
import com.example.unodtantos.appqueology2.modelo.TypefaceSpan;

import java.util.ArrayList;


/**
 * Created by unodtantos on 19/03/2015.
 */
public class CargarProyecto extends ActionBarActivity {

    /*--------------------------------------------------------------------------------------------*/

    // <editor-fold defaultstate="collapsed" desc="Atributos de la clase">

    private Controlador controlador;
    private Cursor cursor;
    private ListView lista;
    private ArrayList<Proyecto> proyectos;

    // </editor-fold>

    /*--------------------------------------------------------------------------------------------*/

    // <editor-fold defaultstate="collapsed" desc="Constructor de la Activity">

    /**
     * Constructor de la clase
     * @param savedInstanceState
     */
    @Override
    protected void onCreate(Bundle savedInstanceState){
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_cargar_proyecto);

        inicializacion();
    }

    // </editor-fold>

    /*--------------------------------------------------------------------------------------------*/

    // <editor-fold defaultstate="collapsed" desc="Inicializacion">

    /**
     * Método que permite la inicialización de las variables necesarias para un correcto
     * funcionamiento de la clase.
     */
    private void inicializacion(){

        // Aspecto actionBar:
        getSupportActionBar().setElevation(0);
        SpannableString s = new SpannableString("Proyectos guardados:");
        s.setSpan(new TypefaceSpan(this, "gloriahallelujah.ttf"), 0, s.length(), Spannable.SPAN_EXCLUSIVE_EXCLUSIVE);
        ActionBar actionBarr= getSupportActionBar();
        actionBarr.setTitle(s);

        this.controlador = (Controlador) getApplicationContext();

        this.proyectos = new ArrayList<>();
        this.cursor = controlador.selectCursorProyectos();
        while(cursor.moveToNext()) {
            Proyecto p = new Proyecto();
            p.setId(cursor.getString(0));
            p.setNombre(cursor.getString(1));
            p.setAutor(cursor.getString(2));
            proyectos.add(p);
        }

        AdapterProyectos adapter = new AdapterProyectos(this, proyectos);
        this.lista = (ListView) findViewById(R.id.lv_proyectos);
        this.lista.setAdapter(adapter);
    }

    // </editor-fold>

    /*--------------------------------------------------------------------------------------------*/
}
